package main;

import solver.Input;
import solver.Phase2;
import solver.Solver;
import solver.Phase2Bender2;
import java.io.File;
import java.util.Arrays;

import static helper.Global.instanceDir;

public class Computation {


    public static void main(String[] args){

        File file = new File(instanceDir);
        System.out.println(Arrays.toString(file.listFiles()));
        for(File f : file.listFiles()) {
            if(f.toString().startsWith("data\\instance\\sc60")) {
                for (File subf : f.listFiles()) {
//                    if(subf.toString().endsWith("n0.csv"))
//                        continue;
                    System.out.println(subf.toString());

                    Input input = new Input(subf.toString());
                    input.loadStochastic(500);
                    Solver sv = new Solver(input);
                    sv.solvePhaseI_relocation();
                    sv.integrated();
                    //sv.solvePhaseII_deterministic();
//                    input.loadStochastic(500,0);
//                   // sv.solvePhaseII_stochastic(500,0);
//                    //Phase2 p2 = new Phase2(input, 500, 0);
//                    Phase2Bender2 p2 = new Phase2Bender2(input, 300,0);
//                    p2.solve_main();
                }
            }
        }

//        Input input = new Input("data/instance/c5-r5-k3/c5-r5-k3-n0.csv");
//        Solver sv = new Solver(input);
//        sv.solvePhaseI_relocation();
//        input.loadStochastic(500,0);
//        Phase2 p2 = new Phase2(input, 500,0);
//        p2.solve_main();


    }


}
